Package org.opensaml.xmlsec.keyinfo.impl

# Class KeyAgreementKeyInfoGeneratorFactory.KeyAgreementOptions

java.lang.Object
org.opensaml.xmlsec.keyinfo.impl.BasicKeyInfoGeneratorFactory.BasicOptions
org.opensaml.xmlsec.keyinfo.impl.KeyAgreementKeyInfoGeneratorFactory.KeyAgreementOptions

All Implemented Interfaces:
  `Cloneable`

Enclosing class:
  KeyAgreementKeyInfoGeneratorFactory

protected class KeyAgreementKeyInfoGeneratorFactory.KeyAgreementOptions extends BasicKeyInfoGeneratorFactory.BasicOptions
Options to be used in the production of a `KeyInfo` from an `KeyAgreementCredential`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`emitOriginatorKeyInfo`
Emit the OriginatorKeyInfo element within AgreementMethod.
`private boolean`
`emitRecipientKeyInfo`
Emit the RecipientKeyInfo element within AgreementMethod.
`private KeyInfoGeneratorManager`
`originatorKeyInfoGeneratorManager`
KeyInfo generator manager for OriginatorKeyInfo elements.
`private KeyInfoGeneratorManager`
`recipientKeyInfoGeneratorManager`
KeyInfo generator manager for RecipientKeyInfo elements.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`KeyAgreementOptions()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected KeyAgreementKeyInfoGeneratorFactory.KeyAgreementOptions`
`clone()`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### emitOriginatorKeyInfo

private boolean emitOriginatorKeyInfo
Emit the OriginatorKeyInfo element within AgreementMethod.

### emitRecipientKeyInfo

private boolean emitRecipientKeyInfo
Emit the RecipientKeyInfo element within AgreementMethod.

### originatorKeyInfoGeneratorManager

@Nullable private KeyInfoGeneratorManager originatorKeyInfoGeneratorManager
KeyInfo generator manager for OriginatorKeyInfo elements.

### recipientKeyInfoGeneratorManager

@Nullable private KeyInfoGeneratorManager recipientKeyInfoGeneratorManager
KeyInfo generator manager for RecipientKeyInfo elements.

## Constructor Details

### KeyAgreementOptions

protected KeyAgreementOptions()
Constructor.

## Method Details

### clone

protected KeyAgreementKeyInfoGeneratorFactory.KeyAgreementOptions clone()

Overrides:
  `clone` in class `BasicKeyInfoGeneratorFactory.BasicOptions`